import os
import os
import product_gen.generate_lamp_base
import product_gen.generate_shades
import product_gen.render_lamp

def generate(shape, height, radius, color, output_prefix,
             is_final=False):
    thickness = 3.0
    
    prefix = os.getcwd() + "/" + output_prefix + "/" + output_prefix

    if shape == "cone":
        shade = product_gen.generate_shades.generate_cone_shade(height, radius, thickness)
    elif shape == "mesh":
        shade = product_gen.generate_shades.generate_mesh_shade(height, radius, thickness)        
    elif shape == "bio":
        shade = product_gen.generate_shades.generate_bio_shade(height, radius, thickness)            
    
    shade.exportStl(prefix + "_temp_shade.stl")
    
    base_height = 20.0
    base_radius = 15.0
    thickness = 3.0
    base = product_gen.generate_lamp_base.generate_base(base_height, 
                                                   base_radius, 
                                                   thickness)
    base.exportStl(prefix + "_temp_base.stl")
    
    chord_height = 150.0
    chord_radius = 2.0
    thickness = 1.0
    chord = product_gen.generate_lamp_base.generate_chord(chord_height, 
                                                     chord_radius, 
                                                     thickness)
    chord.exportStl(prefix + "_temp_chord.stl")
    
    if not is_final:
        product_gen.render_lamp.render_lamp(prefix + "_temp_shade.stl",
                                            prefix + "_temp_base.stl",
                                            prefix + "_temp_chord.stl",
                                            prefix + ".png",
                                            color = color)
    else:
        product_gen.render_lamp.render_lamp(prefix + "_temp_shade.stl",
                                            prefix + "_temp_base.stl",
                                            prefix + "_temp_chord.stl",
                                            prefix + "_kitchen.png",
                                            color = color)
        product_gen.render_lamp.render_lamp(prefix + "_temp_shade.stl",
                                            prefix + "_temp_base.stl",
                                            prefix + "_temp_chord.stl",
                                            prefix + "_hall.png",
                                            color = color)
        product_gen.render_lamp.render_lamp(prefix + "_temp_shade.stl",
                                            prefix + "_temp_base.stl",
                                            prefix + "_temp_chord.stl",
                                            prefix + "_landing.png",
                                            color = color)